package com.facebook.share.model;

import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class ShareMessengerURLActionButton extends ShareMessengerActionButton {
    public static final Creator<ShareMessengerURLActionButton> CREATOR = new Creator<ShareMessengerURLActionButton>() {
        public final ShareMessengerURLActionButton createFromParcel(Parcel parcel) {
            AppMethodBeat.i(97504);
            ShareMessengerURLActionButton shareMessengerURLActionButton = new ShareMessengerURLActionButton(parcel);
            AppMethodBeat.o(97504);
            return shareMessengerURLActionButton;
        }

        public final ShareMessengerURLActionButton[] newArray(int i) {
            return new ShareMessengerURLActionButton[i];
        }
    };
    private final Uri fallbackUrl;
    private final boolean isMessengerExtensionURL;
    private final boolean shouldHideWebviewShareButton;
    private final Uri url;
    private final WebviewHeightRatio webviewHeightRatio;

    private ShareMessengerURLActionButton(Builder builder) {
        super(builder);
        AppMethodBeat.i(97515);
        this.url = Builder.access$000(builder);
        this.isMessengerExtensionURL = Builder.access$100(builder);
        this.fallbackUrl = Builder.access$200(builder);
        this.webviewHeightRatio = Builder.access$300(builder);
        this.shouldHideWebviewShareButton = Builder.access$400(builder);
        AppMethodBeat.o(97515);
    }

    ShareMessengerURLActionButton(Parcel parcel) {
        boolean z;
        boolean z2 = true;
        super(parcel);
        AppMethodBeat.i(97516);
        this.url = (Uri) parcel.readParcelable(Uri.class.getClassLoader());
        if (parcel.readByte() != (byte) 0) {
            z = true;
        } else {
            z = false;
        }
        this.isMessengerExtensionURL = z;
        this.fallbackUrl = (Uri) parcel.readParcelable(Uri.class.getClassLoader());
        this.webviewHeightRatio = (WebviewHeightRatio) parcel.readSerializable();
        if (parcel.readByte() == (byte) 0) {
            z2 = false;
        }
        this.shouldHideWebviewShareButton = z2;
        AppMethodBeat.o(97516);
    }

    public final Uri getUrl() {
        return this.url;
    }

    public final boolean getIsMessengerExtensionURL() {
        return this.isMessengerExtensionURL;
    }

    public final Uri getFallbackUrl() {
        return this.fallbackUrl;
    }

    public final WebviewHeightRatio getWebviewHeightRatio() {
        return this.webviewHeightRatio;
    }

    public final boolean getShouldHideWebviewShareButton() {
        return this.shouldHideWebviewShareButton;
    }

    static {
        AppMethodBeat.i(97517);
        AppMethodBeat.o(97517);
    }
}
